package de.samdev.colorrunner.game.world.map;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

import com.badlogic.gdx.Gdx;

public class CRMapStorage {
	public static final Random random = new Random();
	public static final List<CRTiledMap> maps = new ArrayList<CRTiledMap>();

	public static final CRTiledMap map_start = register("p00_start.tmx", false);
	
	public static final CRTiledMap map_01 = register("p01.tmx");
	public static final CRTiledMap map_02 = register("p02.tmx");
	public static final CRTiledMap map_03 = register("p03.tmx");
	public static final CRTiledMap map_04 = register("p04.tmx");
	public static final CRTiledMap map_05 = register("p05.tmx");
	public static final CRTiledMap map_06 = register("p06.tmx");
	public static final CRTiledMap map_07 = register("p07.tmx");
	public static final CRTiledMap map_08 = register("p08.tmx");
	public static final CRTiledMap map_09 = register("p09.tmx");
	public static final CRTiledMap map_10 = register("p10.tmx");
	public static final CRTiledMap map_11 = register("p11.tmx");
	public static final CRTiledMap map_12 = register("p12.tmx");
	public static final CRTiledMap map_13 = register("p13.tmx");
	
	public static CRTiledMap register(String path) {
		return register(path, true);
	}
	
	public static CRTiledMap register(String path, boolean doRegister) {
		CRTiledMap m = CRTiledMap.load(Gdx.files.internal("map_pieces/" + path).readString());
		
		if (doRegister)
			maps.add(m);
		
		return m;
	}
	
	public static CRTiledMap getMap() {
		return maps.get(random.nextInt(maps.size()));
	}
}
